<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>MainWindow</class>
 <widget class="QMainWindow" name="MainWindow">
  <property name="enabled">
   <bool>true</bool>
  </property>
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>855</width>
    <height>585</height>
   </rect>
  </property>
  <property name="font">
   <font>
    <family>Bahnschrift SemiLight</family>
   </font>
  </property>
  <property name="windowTitle">
   <string>Quiz</string>
  </property>
  <property name="styleSheet">
   <string notr="true">QWidget {
	background-color: rgb(255, 255, 255);
	color: rgb(65, 65, 65);
}

QPushButton {
	border: 5px solid;
	border-radius: 10px;
	border-color: rgb(50, 150, 255);
	background-color: rgb(50, 150, 255);
}

QPushButton:hover
{
	background-color: rgb(70, 160, 255);
	border-color: rgb(70, 160, 255);
}

QPushButton:disabled
{
	background-color: #FF6D6A;
	border-color: #FF6D6A;
}

QProgressBar 
{ 
	border: 2px solid grey; 
	border-radius: 5px; 
} 

QProgressBar::chunk 
{ 
	width: 10px; 
	background-color: #00FF00;
}</string>
  </property>
  <widget class="QWidget" name="centralwidget">
   <layout class="QGridLayout" name="gridLayout">
    <item row="0" column="0">
     <widget class="QStackedWidget" name="stackedWidget">
      <property name="enabled">
       <bool>true</bool>
      </property>
      <property name="currentIndex">
       <number>2</number>
      </property>
      <widget class="QWidget" name="page_start">
       <property name="focusPolicy">
        <enum>Qt::ClickFocus</enum>
       </property>
       <layout class="QGridLayout" name="gridLayout_2">
        <item row="0" column="0">
         <layout class="QGridLayout" name="start_grid_layout">
          <item row="2" column="1">
           <spacer name="verticalSpacer">
            <property name="orientation">
             <enum>Qt::Vertical</enum>
            </property>
            <property name="sizeType">
             <enum>QSizePolicy::Fixed</enum>
            </property>
            <property name="sizeHint" stdset="0">
             <size>
              <width>20</width>
              <height>40</height>
             </size>
            </property>
           </spacer>
          </item>
          <item row="4" column="2">
           <spacer name="horizontalSpacer_2">
            <property name="orientation">
             <enum>Qt::Horizontal</enum>
            </property>
            <property name="sizeHint" stdset="0">
             <size>
              <width>40</width>
              <height>20</height>
             </size>
            </property>
           </spacer>
          </item>
          <item row="6" column="1">
           <spacer name="verticalSpacer_2">
            <property name="orientation">
             <enum>Qt::Vertical</enum>
            </property>
            <property name="sizeHint" stdset="0">
             <size>
              <width>20</width>
              <height>40</height>
             </size>
            </property>
           </spacer>
          </item>
          <item row="4" column="0">
           <spacer name="horizontalSpacer">
            <property name="orientation">
             <enum>Qt::Horizontal</enum>
            </property>
            <property name="sizeHint" stdset="0">
             <size>
              <width>40</width>
              <height>20</height>
             </size>
            </property>
           </spacer>
          </item>
          <item row="1" column="1">
           <widget class="QLabel" name="start_title">
            <property name="font">
             <font>
              <family>Bahnschrift SemiLight</family>
              <pointsize>32</pointsize>
             </font>
            </property>
            <property name="text">
             <string>Quiz</string>
            </property>
            <property name="alignment">
             <set>Qt::AlignCenter</set>
            </property>
           </widget>
          </item>
          <item row="4" column="1">
           <widget class="QPushButton" name="start_button">
            <property name="enabled">
             <bool>true</bool>
            </property>
            <property name="font">
             <font>
              <family>Bahnschrift SemiLight</family>
              <pointsize>16</pointsize>
             </font>
            </property>
            <property name="text">
             <string>Start</string>
            </property>
           </widget>
          </item>
          <item row="3" column="1">
           <widget class="QLineEdit" name="start_name_input">
            <property name="minimumSize">
             <size>
              <width>300</width>
              <height>0</height>
             </size>
            </property>
            <property name="font">
             <font>
              <family>Bahnschrift SemiLight</family>
              <pointsize>20</pointsize>
             </font>
            </property>
            <property name="inputMask">
             <string/>
            </property>
            <property name="alignment">
             <set>Qt::AlignCenter</set>
            </property>
            <property name="placeholderText">
             <string>Name</string>
            </property>
           </widget>
          </item>
          <item row="0" column="1">
           <spacer name="verticalSpacer_3">
            <property name="orientation">
             <enum>Qt::Vertical</enum>
            </property>
            <property name="sizeHint" stdset="0">
             <size>
              <width>20</width>
              <height>40</height>
             </size>
            </property>
           </spacer>
          </item>
         </layout>
        </item>
       </layout>
      </widget>
      <widget class="QWidget" name="page_select">
       <layout class="QVBoxLayout" name="verticalLayout_3">
        <item>
         <widget class="QLabel" name="select_title">
          <property name="font">
           <font>
            <family>Bahnschrift SemiLight</family>
            <pointsize>32</pointsize>
           </font>
          </property>
          <property name="text">
           <string>Select Quiz</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignCenter</set>
          </property>
         </widget>
        </item>
        <item>
         <spacer name="verticalSpacer_7">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
          </property>
          <property name="sizeType">
           <enum>QSizePolicy::Fixed</enum>
          </property>
          <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
            <height>20</height>
           </size>
          </property>
         </spacer>
        </item>
        <item>
         <layout class="QHBoxLayout" name="horizontalLayout_2">
          <item>
           <layout class="QVBoxLayout" name="verticalLayout_5">
            <item>
             <widget class="QLabel" name="label">
              <property name="font">
               <font>
                <family>Bahnschrift SemiLight</family>
                <pointsize>20</pointsize>
               </font>
              </property>
              <property name="text">
               <string>Quizes</string>
              </property>
             </widget>
            </item>
            <item>
             <widget class="QTableWidget" name="select_quiz_table">
              <property name="editTriggers">
               <set>QAbstractItemView::NoEditTriggers</set>
              </property>
              <property name="selectionMode">
               <enum>QAbstractItemView::SingleSelection</enum>
              </property>
              <property name="selectionBehavior">
               <enum>QAbstractItemView::SelectRows</enum>
              </property>
              <attribute name="verticalHeaderVisible">
               <bool>false</bool>
              </attribute>
              <column>
               <property name="text">
                <string>Name</string>
               </property>
              </column>
              <column>
               <property name="text">
                <string>Questions</string>
               </property>
              </column>
             </widget>
            </item>
           </layout>
          </item>
          <item>
           <layout class="QVBoxLayout" name="verticalLayout_4">
            <item>
             <widget class="QLabel" name="select_quiz_name">
              <property name="font">
               <font>
                <family>Bahnschrift SemiLight</family>
                <pointsize>20</pointsize>
               </font>
              </property>
              <property name="text">
               <string>[QuizName]</string>
              </property>
             </widget>
            </item>
            <item>
             <widget class="QListWidget" name="select_question_list">
              <property name="editTriggers">
               <set>QAbstractItemView::NoEditTriggers</set>
              </property>
              <property name="selectionMode">
               <enum>QAbstractItemView::NoSelection</enum>
              </property>
             </widget>
            </item>
            <item>
             <widget class="QPushButton" name="select_start_button">
              <property name="font">
               <font>
                <family>Bahnschrift SemiLight</family>
                <pointsize>16</pointsize>
               </font>
              </property>
              <property name="text">
               <string>Start</string>
              </property>
             </widget>
            </item>
           </layout>
          </item>
         </layout>
        </item>
       </layout>
      </widget>
      <widget class="QWidget" name="page_game">
       <layout class="QVBoxLayout" name="verticalLayout" stretch="0,0,0,1,0,0,0">
        <item>
         <widget class="QLabel" name="game_quiz_title">
          <property name="font">
           <font>
            <family>Bahnschrift SemiLight</family>
            <pointsize>32</pointsize>
           </font>
          </property>
          <property name="text">
           <string>[Quiz title]</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignCenter</set>
          </property>
         </widget>
        </item>
        <item>
         <widget class="QLabel" name="game_question_title">
          <property name="sizePolicy">
           <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
            <horstretch>0</horstretch>
            <verstretch>0</verstretch>
           </sizepolicy>
          </property>
          <property name="font">
           <font>
            <family>Bahnschrift SemiLight</family>
            <pointsize>20</pointsize>
           </font>
          </property>
          <property name="lineWidth">
           <number>1</number>
          </property>
          <property name="text">
           <string>[Question text] [Question text] [Question text] [Question text] [Question text] [Question text] [Question text] [Question text]</string>
          </property>
          <property name="scaledContents">
           <bool>true</bool>
          </property>
          <property name="alignment">
           <set>Qt::AlignCenter</set>
          </property>
          <property name="wordWrap">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item>
         <spacer name="verticalSpacer_10">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
          </property>
          <property name="sizeType">
           <enum>QSizePolicy::Fixed</enum>
          </property>
          <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
            <height>20</height>
           </size>
          </property>
         </spacer>
        </item>
        <item>
         <layout class="QGridLayout" name="game_answers">
          <item row="1" column="1">
           <widget class="QPushButton" name="game_answer_3">
            <property name="sizePolicy">
             <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
              <horstretch>0</horstretch>
              <verstretch>0</verstretch>
             </sizepolicy>
            </property>
            <property name="font">
             <font>
              <family>Bahnschrift SemiLight</family>
              <pointsize>14</pointsize>
             </font>
            </property>
            <property name="text">
             <string>[Answer]</string>
            </property>
           </widget>
          </item>
          <item row="0" column="0">
           <widget class="QPushButton" name="game_answer_0">
            <property name="sizePolicy">
             <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
              <horstretch>0</horstretch>
              <verstretch>0</verstretch>
             </sizepolicy>
            </property>
            <property name="font">
             <font>
              <family>Bahnschrift SemiLight</family>
              <pointsize>14</pointsize>
             </font>
            </property>
            <property name="styleSheet">
             <string notr="true">QPushButton{background-color: #FFFFFF; border: 0;}</string>
            </property>
            <property name="text">
             <string>[Answer]</string>
            </property>
            <property name="autoDefault">
             <bool>false</bool>
            </property>
            <property name="default">
             <bool>false</bool>
            </property>
            <property name="flat">
             <bool>false</bool>
            </property>
           </widget>
          </item>
          <item row="0" column="1">
           <widget class="QPushButton" name="game_answer_1">
            <property name="sizePolicy">
             <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
              <horstretch>0</horstretch>
              <verstretch>0</verstretch>
             </sizepolicy>
            </property>
            <property name="font">
             <font>
              <family>Bahnschrift SemiLight</family>
              <pointsize>14</pointsize>
             </font>
            </property>
            <property name="text">
             <string>[Answer]</string>
            </property>
           </widget>
          </item>
          <item row="1" column="0">
           <widget class="QPushButton" name="game_answer_2">
            <property name="sizePolicy">
             <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
              <horstretch>0</horstretch>
              <verstretch>0</verstretch>
             </sizepolicy>
            </property>
            <property name="font">
             <font>
              <family>Bahnschrift SemiLight</family>
              <pointsize>14</pointsize>
             </font>
            </property>
            <property name="text">
             <string>[Answer]</string>
            </property>
           </widget>
          </item>
         </layout>
        </item>
        <item>
         <widget class="QProgressBar" name="game_time_bar">
          <property name="styleSheet">
           <string notr="true"/>
          </property>
          <property name="value">
           <number>70</number>
          </property>
          <property name="textVisible">
           <bool>false</bool>
          </property>
          <property name="invertedAppearance">
           <bool>false</bool>
          </property>
         </widget>
        </item>
        <item>
         <spacer name="verticalSpacer_12">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
          </property>
          <property name="sizeType">
           <enum>QSizePolicy::Fixed</enum>
          </property>
          <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
            <height>10</height>
           </size>
          </property>
         </spacer>
        </item>
        <item>
         <layout class="QHBoxLayout" name="game_bottom_bar">
          <item>
           <widget class="QLabel" name="game_player_name">
            <property name="font">
             <font>
              <family>Bahnschrift SemiLight</family>
              <pointsize>14</pointsize>
             </font>
            </property>
            <property name="text">
             <string>[Player Name]</string>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QLabel" name="game_player_score">
            <property name="font">
             <font>
              <family>Bahnschrift SemiLight</family>
              <pointsize>14</pointsize>
             </font>
            </property>
            <property name="text">
             <string>[Player Score]</string>
            </property>
            <property name="alignment">
             <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
            </property>
           </widget>
          </item>
         </layout>
        </item>
       </layout>
      </widget>
      <widget class="QWidget" name="page_answer">
       <layout class="QGridLayout" name="gridLayout_3">
        <item row="4" column="0">
         <widget class="QPushButton" name="answer_button_continue">
          <property name="minimumSize">
           <size>
            <width>200</width>
            <height>0</height>
           </size>
          </property>
          <property name="maximumSize">
           <size>
            <width>200</width>
            <height>16777215</height>
           </size>
          </property>
          <property name="font">
           <font>
            <family>Bahnschrift SemiLight</family>
            <pointsize>16</pointsize>
           </font>
          </property>
          <property name="text">
           <string>Continue</string>
          </property>
         </widget>
        </item>
        <item row="2" column="0">
         <widget class="QLabel" name="answer_score">
          <property name="font">
           <font>
            <family>Bahnschrift SemiLight</family>
            <pointsize>20</pointsize>
           </font>
          </property>
          <property name="text">
           <string>[Points] points</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignCenter</set>
          </property>
         </widget>
        </item>
        <item row="0" column="0">
         <spacer name="verticalSpacer_8">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
          </property>
          <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
            <height>40</height>
           </size>
          </property>
         </spacer>
        </item>
        <item row="3" column="0">
         <spacer name="verticalSpacer_11">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
          </property>
          <property name="sizeType">
           <enum>QSizePolicy::Fixed</enum>
          </property>
          <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
            <height>50</height>
           </size>
          </property>
         </spacer>
        </item>
        <item row="1" column="0">
         <widget class="QLabel" name="answer_correct">
          <property name="font">
           <font>
            <family>Bahnschrift SemiLight</family>
            <pointsize>32</pointsize>
           </font>
          </property>
          <property name="text">
           <string>[Correct?]</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignCenter</set>
          </property>
         </widget>
        </item>
        <item row="5" column="0">
         <spacer name="verticalSpacer_9">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
          </property>
          <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
            <height>40</height>
           </size>
          </property>
         </spacer>
        </item>
       </layout>
      </widget>
      <widget class="QWidget" name="page_restults">
       <layout class="QVBoxLayout" name="verticalLayout_2">
        <item>
         <spacer name="verticalSpacer_4">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
          </property>
          <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
            <height>40</height>
           </size>
          </property>
         </spacer>
        </item>
        <item>
         <widget class="QLabel" name="results_title">
          <property name="font">
           <font>
            <family>Bahnschrift SemiLight</family>
            <pointsize>32</pointsize>
           </font>
          </property>
          <property name="text">
           <string>Results</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignCenter</set>
          </property>
         </widget>
        </item>
        <item>
         <spacer name="verticalSpacer_6">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
          </property>
          <property name="sizeType">
           <enum>QSizePolicy::Fixed</enum>
          </property>
          <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
            <height>20</height>
           </size>
          </property>
         </spacer>
        </item>
        <item>
         <widget class="QLabel" name="results_score">
          <property name="font">
           <font>
            <family>Bahnschrift SemiLight</family>
            <pointsize>24</pointsize>
           </font>
          </property>
          <property name="text">
           <string>[Score]</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignCenter</set>
          </property>
         </widget>
        </item>
        <item>
         <widget class="QLabel" name="results_correct">
          <property name="font">
           <font>
            <family>Bahnschrift SemiLight</family>
            <pointsize>20</pointsize>
           </font>
          </property>
          <property name="text">
           <string>[Correct]/[Total] correct answers</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignCenter</set>
          </property>
         </widget>
        </item>
        <item>
         <spacer name="verticalSpacer_5">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
          </property>
          <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
            <height>40</height>
           </size>
          </property>
         </spacer>
        </item>
        <item>
         <layout class="QHBoxLayout" name="horizontalLayout">
          <property name="spacing">
           <number>20</number>
          </property>
          <item>
           <spacer name="horizontalSpacer_3">
            <property name="orientation">
             <enum>Qt::Horizontal</enum>
            </property>
            <property name="sizeHint" stdset="0">
             <size>
              <width>40</width>
              <height>20</height>
             </size>
            </property>
           </spacer>
          </item>
          <item>
           <widget class="QPushButton" name="results_button_again">
            <property name="minimumSize">
             <size>
              <width>200</width>
              <height>0</height>
             </size>
            </property>
            <property name="font">
             <font>
              <family>Bahnschrift SemiLight</family>
              <pointsize>16</pointsize>
             </font>
            </property>
            <property name="text">
             <string>Try again</string>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QPushButton" name="results_button_exit">
            <property name="minimumSize">
             <size>
              <width>200</width>
              <height>0</height>
             </size>
            </property>
            <property name="font">
             <font>
              <family>Bahnschrift SemiLight</family>
              <pointsize>16</pointsize>
             </font>
            </property>
            <property name="text">
             <string>Continue</string>
            </property>
           </widget>
          </item>
          <item>
           <spacer name="horizontalSpacer_4">
            <property name="orientation">
             <enum>Qt::Horizontal</enum>
            </property>
            <property name="sizeHint" stdset="0">
             <size>
              <width>40</width>
              <height>20</height>
             </size>
            </property>
           </spacer>
          </item>
         </layout>
        </item>
       </layout>
      </widget>
     </widget>
    </item>
   </layout>
  </widget>
  <widget class="QMenuBar" name="menubar">
   <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
     <width>855</width>
     <height>22</height>
    </rect>
   </property>
   <widget class="QMenu" name="menuFile">
    <property name="title">
     <string>File</string>
    </property>
    <addaction name="actionOpen_quiz_folder"/>
   </widget>
   <addaction name="menuFile"/>
  </widget>
  <widget class="QStatusBar" name="statusbar"/>
  <action name="actionOpen_quiz_folder">
   <property name="text">
    <string>Open quiz folder</string>
   </property>
  </action>
 </widget>
 <tabstops>
  <tabstop>start_name_input</tabstop>
  <tabstop>start_button</tabstop>
  <tabstop>select_quiz_table</tabstop>
  <tabstop>select_start_button</tabstop>
  <tabstop>game_answer_0</tabstop>
  <tabstop>game_answer_1</tabstop>
  <tabstop>game_answer_2</tabstop>
  <tabstop>game_answer_3</tabstop>
  <tabstop>answer_button_continue</tabstop>
  <tabstop>results_button_again</tabstop>
  <tabstop>results_button_exit</tabstop>
  <tabstop>select_question_list</tabstop>
 </tabstops>
 <resources/>
 <connections/>
</ui>
